## org.apache.lucene.ant
Class IndexTask.HandlerConfig

    java.lang.Object
      org.apache.lucene.ant.IndexTask.HandlerConfig

All Implemented Interfaces:
  org.apache.tools.ant.DynamicAttribute, org.apache.tools.ant.DynamicConfigurator, org.apache.tools.ant.DynamicElement

Enclosing class:
  IndexTask

    public static class IndexTask.HandlerConfig

extends java.lang.Object
implements org.apache.tools.ant.DynamicConfigurator

Constructor Summary
`IndexTask.HandlerConfig()`

Method Summary
`java.lang.Object` `createDynamicElement(java.lang.String elementName)`
`java.util.Properties` `getProperties()`
`void` `setDynamicAttribute(java.lang.String attributeName, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexTask.HandlerConfig

    public IndexTask.HandlerConfig()

Method Detail

### setDynamicAttribute

    public void setDynamicAttribute(java.lang.String attributeName,
                                    java.lang.String value)
                             throws org.apache.tools.ant.BuildException

  Specified by:
    `setDynamicAttribute` in interface `org.apache.tools.ant.DynamicAttribute`
  Throws:
    `org.apache.tools.ant.BuildException`

### createDynamicElement

    public java.lang.Object createDynamicElement(java.lang.String elementName)
                                          throws org.apache.tools.ant.BuildException

  Specified by:
    `createDynamicElement` in interface `org.apache.tools.ant.DynamicElement`
  Throws:
    `org.apache.tools.ant.BuildException`

### getProperties

    public java.util.Properties getProperties()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.